
Jupiter - Błąd #1882
Akcje na usuwanym elemencie
2017-12-06 14:17 - Jarosław Bąbel

Status: Rozwiązany Start date:
Priority: Niski Due date:
Assignee: Jarosław Bąbel % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3
Developer: Łukasz Waśkiewicz Rewizja zgłoszenia GIT: bfbfc2b
Tester: Jarosław Bąbel Rewizja rozwiązania GIT:4b8dc9c90020e9db0a7d0944ecdeefba6c96aa2b
Występuje w wersji: 0.3 Rewizja testów GIT:
Waga błędu: Mała
Description

Na węźle usuwanego elementu można wykonywać operacje edycji, kasowania i dodawania potomków. Jednocześnie czasami nie
widać, że element jest usuwany (#1881).

    -  edycja usuwanego elementu (lub jego potomków) blokuje edycję innych zasobów
        1. rozwiń drzewo do poziomu artykułów
        2. wybierz artykuł do usunięcia i kliknij śmietnik (artykuł zostaje skreślony w drzewie)
        3. kliknij edycję kasowanego artykułu
        4. pojawiają się puste zakładki edytora
        5. drzewo zostaje przeładowane i znika skreślenie usuniętego artykułu
        6. przycisk edycji przestaje działać (edycja zasobów staje się niemożliwa)

    -  usuwanie elementu, który jest w trakcie usuwania powoduje błąd
        1. rozwiń drzewo do poziomu artykułów
        2. wybierz artykuł do usunięcia i kliknij śmietnik (artykuł zostaje skreślony w drzewie)
        3. kliknij ponownie śmietnik dla tego samego artykułu
        4. pojawia się biały ekran lub brak reakcji i NPE w logu

    -  do usuwanego elementu można dodawać potomka
        1. usuń wybrany numer
        2. dodaj artykuł do numeru
        3. artykuł pojawia się pod skreślonym numerem
        4. po odświeżeniu zniknie, pytanie, czy taki "urwany" artykuł bez rodzica pozostaje zapisany w storage?

Wydaje się, że usuwany element powinien mieć zablokowane akcje dodaj/usuń/edytuj.

Related issues:
Follows Jupiter - Błąd # 1881: Znika przekreślenie usuwanego węzła Rozwiązany 2017-12-06

Associated revisions
Revision 5f7c3bb3 - 2017-12-27 10:42 - Łukasz Waśkiewicz

refs #1882 zablokowanie akcji dla elementu który jest usuwany

Revision 4b8dc9c9 - 2018-01-17 14:50 - Łukasz Waśkiewicz

refs #1882 poprawa klikania na usunięty element
History
#1 - 2017-12-27 09:55 - Łukasz Waśkiewicz
- Assignee changed from Michał Komar to Łukasz Waśkiewicz
- Developer Łukasz Waśkiewicz added

#2 - 2017-12-27 10:30 - Łukasz Waśkiewicz
- Follows Błąd #1881: Znika przekreślenie usuwanego węzła added

#3 - 2017-12-27 12:21 - Łukasz Waśkiewicz
- Due date deleted (2017-12-07)
- Status changed from Nowy to Rozwiązany
- Assignee changed from Łukasz Waśkiewicz to Jarosław Bąbel
- Start date deleted (2017-12-07)
- % Done changed from 0 to 100
- Rewizja rozwiązania GIT set to 5f7c3bb3a05db2a711e79772a6111c0afe75f895

jeśli poprawka #1881 działa to nie powinno być problemów po kliknięciu odśwież (przeładowaniu strony) i dokument powinien mięć poprawną flagę
removed
jeśli dokument jest removed, ukryłem wszystkie przyciski akcji, ukryłem też przycisk menu kontekstowego na drzewie

namieszać można jeszcze tylko wchodząc bezpośrednio z linku na ekran edycji usuniętego zasobu (można wtedy zapisać zasób), nie wiem czy tu też
blokować przyciski (można to dodać na 0.4)

#4 - 2018-01-04 10:09 - Jarosław Bąbel
- Status changed from Rozwiązany to Odpowiedź
- Developer deleted (Michał Komar)

W skreślony, usuwany element można jeszcze wejść przez podwójne kliknięcie.

#5 - 2018-01-04 15:57 - Jarosław Bąbel
- Assignee changed from Jarosław Bąbel to Łukasz Waśkiewicz

#6 - 2018-01-17 14:52 - Łukasz Waśkiewicz
- Status changed from Odpowiedź to Rozwiązany
- Assignee changed from Łukasz Waśkiewicz to Jarosław Bąbel
- Rewizja rozwiązania GIT changed from 5f7c3bb3a05db2a711e79772a6111c0afe75f895 to 4b8dc9c90020e9db0a7d0944ecdeefba6c96aa2b

poprawione
